package modeles;

public class Bourse extends Objet {
	private int valeur;
	
	public Bourse(int somme) {
		super("bourse",somme,99999999);
		this.valeur=valeur;
		
	}
	
	/**
	 * @param valeur the valeur to set
	 */
	public void setValeur(int valeur) {
		this.valeur = valeur;
	}

	public int getValeur() {
		return this.valeur;
	}
	
	public String getType() {
		return "Bourse";
	}
	
	public int Achat(Objet o) { //commande pour v�rifier si la personne peut acheter un objet et pour faire le d�compte de la thunasse 
		if (o.getPrix() <= this.valeur) return (this.valeur=this.valeur-o.getPrix());
		else {
			int manque =o.getPrix()-this.valeur;
			System.out.println("L'achat est impossible, il vous manque : "+manque);
			return -1;
		}
	}
/*	
	public int fusionBourse(Bourse sacPiece) {
		this.valeur += sacPiece.valeur;
		return this.valeur;
	}
*/
}
